The Swift Package Index logo.Swift Package Index

Build Information

Failed to build mongo-swift-driver with Swift 5.8 for iOS using Xcode 14.3 at main.

Build Command

env DEVELOPER_DIR="/Applications/Xcode-14.3.0.app" xcrun xcodebuild -IDEClonedSourcePackagesDirPathOverride="$PWD/.dependencies" -derivedDataPath "$PWD/.derivedData" build -scheme mongo-swift-driver-Package -destination "generic/platform=ios"

Build Log

========================================
RunAll
========================================
Builder version: 4.22.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/mongodb/mongo-swift-driver.git
Reference: main
Initialized empty Git repository in /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.git/
From https://github.com/mongodb/mongo-swift-driver
 * branch            main       -> FETCH_HEAD
 * [new branch]      main       -> origin/main
HEAD is now at 1f62248 Swift halt development announcement (#782)
Cloned https://github.com/mongodb/mongo-swift-driver.git into spi-builder-workspace
1f62248482bccd5a0f67c46793828674f9057d9d
SUCCESS checkout https://github.com/mongodb/mongo-swift-driver.git at main
========================================
Build
========================================
Selected platform:         iOS
Swift version:             5.8
Building package at path:  spi-builder-workspace
2023-08-31 18:27:56.478 xcodebuild[8275:1251371] DVTCoreDeviceEnabledState: DVTCoreDeviceEnabledState_Disabled set via user default (DVTEnableCoreDevice=disabled)
Command line invocation:
/Applications/Xcode-14.3.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -resolvePackageDependencies

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEPackageSupportUseBuiltinSCM = YES

Resolve Package Graph

Fetching from https://github.com/apple/swift-atomics (cached)

Fetching from https://github.com/apple/swift-nio (cached)

Fetching from https://github.com/mongodb/swift-bson (cached)

Fetching from https://github.com/Quick/Nimble (cached)
Fetching from https://github.com/swift-extras/swift-extras-base64 (cached)

Fetching from https://github.com/swift-extras/swift-extras-json (cached)

Fetching from https://github.com/apple/swift-collections.git (cached)

Creating working copy of package ‘swift-atomics’

Checking out 1.1.0 of package ‘swift-atomics’


Creating working copy of package ‘swift-extras-json’

Checking out 0.6.0 of package ‘swift-extras-json’

Creating working copy of package ‘swift-nio’

Checking out 2.58.0 of package ‘swift-nio’

Creating working copy of package ‘swift-bson’

Checking out 3.1.0 of package ‘swift-bson’

Creating working copy of package ‘swift-collections’

Checking out 1.0.4 of package ‘swift-collections’

Creating working copy of package ‘swift-extras-base64’

Checking out 0.5.0 of package ‘swift-extras-base64’

Creating working copy of package ‘Nimble’

Checking out 8.1.2 of package ‘Nimble’

Resolve Package Graph
2023-08-31 18:28:02.540 xcodebuild[8275:1251371] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot7/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-21812/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x6000011d2fd0>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x6000036f0200>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-08-31 18:28:02.541 xcodebuild[8275:1251371] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}
2023-08-31 18:28:02.542 xcodebuild[8275:1251371] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot7/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-21812/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x6000011d2fd0>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x6000036f0200>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-08-31 18:28:02.542 xcodebuild[8275:1251371] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}
2023-08-31 18:28:02.542 xcodebuild[8275:1251371] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot7/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-21812/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x6000011d2fd0>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x6000036f0200>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-08-31 18:28:02.542 xcodebuild[8275:1251371] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}
2023-08-31 18:28:02.542 xcodebuild[8275:1251371] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot7/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-21812/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x6000011d2fd0>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x6000036f0200>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-08-31 18:28:02.542 xcodebuild[8275:1251371] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}


Resolved source packages:
  swift-atomics: https://github.com/apple/swift-atomics @ 1.1.0
  swift-extras-base64: https://github.com/swift-extras/swift-extras-base64 @ 0.5.0
  swift-nio: https://github.com/apple/swift-nio @ 2.58.0
  swift-bson: https://github.com/mongodb/swift-bson @ 3.1.0
  swift-extras-json: https://github.com/swift-extras/swift-extras-json @ 0.6.0
  swift-collections: https://github.com/apple/swift-collections.git @ 1.0.4
  mongo-swift-driver: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace
  Nimble: https://github.com/Quick/Nimble @ 8.1.2
resolved source packages: swift-atomics, swift-extras-base64, swift-nio, swift-bson, swift-extras-json, swift-collections, mongo-swift-driver, Nimble
2023-08-31 18:28:03.041 xcodebuild[8803:1252795] DVTCoreDeviceEnabledState: DVTCoreDeviceEnabledState_Disabled set via user default (DVTEnableCoreDevice=disabled)
{
  "workspace" : {
    "name" : "spi-builder-workspace",
    "schemes" : [
      "AtlasConnectivity",
      "mongo-swift-driver-Package",
      "MongoSwift",
      "MongoSwiftSync"
    ]
  }
}
Running build ...
env DEVELOPER_DIR="/Applications/Xcode-14.3.0.app" xcrun xcodebuild -IDEClonedSourcePackagesDirPathOverride="$PWD/.dependencies" -derivedDataPath "$PWD/.derivedData" build -scheme mongo-swift-driver-Package -destination "generic/platform=ios"
2023-08-31 18:28:03.904 xcodebuild[8806:1252826] DVTCoreDeviceEnabledState: DVTCoreDeviceEnabledState_Disabled set via user default (DVTEnableCoreDevice=disabled)
Command line invocation:
/Applications/Xcode-14.3.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme mongo-swift-driver-Package -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph


Resolved source packages:
  swift-extras-json: https://github.com/swift-extras/swift-extras-json @ 0.6.0
  swift-collections: https://github.com/apple/swift-collections.git @ 1.0.4
  swift-extras-base64: https://github.com/swift-extras/swift-extras-base64 @ 0.5.0
  Nimble: https://github.com/Quick/Nimble @ 8.1.2
  mongo-swift-driver: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace
  swift-nio: https://github.com/apple/swift-nio @ 2.58.0
  swift-atomics: https://github.com/apple/swift-atomics @ 1.1.0
  swift-bson: https://github.com/mongodb/swift-bson @ 3.1.0

Prepare packages

2023-08-31 18:28:04.647 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x60000141b300: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIO/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.665 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001556a00: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIOCore/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.683 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x60000154c500: name:Collections.docc path:group:Collections.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/Collections/Collections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.685 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x60000154c600: name:OrderedCollections.docc path:group:OrderedCollections.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/OrderedCollections/OrderedCollections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.687 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001545500: name:DequeModule.docc path:group:DequeModule.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/DequeModule/DequeModule.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.693 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001547000: name:Atomics.docc path:group:Atomics.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-atomics/Sources/Atomics/Atomics.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
Computing target dependency graph and provisioning inputs

Create build description
Build description signature: 8695f5e850d13ca5c39d16b68f1a41c8
Build description path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData/Build/Intermediates.noindex/XCBuildData/8695f5e850d13ca5c39d16b68f1a41c8.xcbuilddata

note: Building targets in dependency order
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'AtlasConnectivity' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'TestsCommon' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftSyncTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwift' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'BSONTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftSync' from project 'mongo-swift-driver')
Resolve Package Graph
** BUILD FAILED **
ShellOut encountered an error
Status code: 65
Message: "2023-08-31 18:28:03.904 xcodebuild[8806:1252826] DVTCoreDeviceEnabledState: DVTCoreDeviceEnabledState_Disabled set via user default (DVTEnableCoreDevice=disabled)
2023-08-31 18:28:04.647 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x60000141b300: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIO/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.665 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001556a00: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIOCore/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.683 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x60000154c500: name:Collections.docc path:group:Collections.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/Collections/Collections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.685 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x60000154c600: name:OrderedCollections.docc path:group:OrderedCollections.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/OrderedCollections/OrderedCollections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.687 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001545500: name:DequeModule.docc path:group:DequeModule.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/DequeModule/DequeModule.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:04.693 xcodebuild[8806:1252826] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001547000: name:Atomics.docc path:group:Atomics.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-atomics/Sources/Atomics/Atomics.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
** BUILD FAILED **
"
Output: "Command line invocation:
    /Applications/Xcode-14.3.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme mongo-swift-driver-Package -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES

Resolve Package Graph


Resolved source packages:
  swift-extras-json: https://github.com/swift-extras/swift-extras-json @ 0.6.0
  swift-collections: https://github.com/apple/swift-collections.git @ 1.0.4
  swift-extras-base64: https://github.com/swift-extras/swift-extras-base64 @ 0.5.0
  Nimble: https://github.com/Quick/Nimble @ 8.1.2
  mongo-swift-driver: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace
  swift-nio: https://github.com/apple/swift-nio @ 2.58.0
  swift-atomics: https://github.com/apple/swift-atomics @ 1.1.0
  swift-bson: https://github.com/mongodb/swift-bson @ 3.1.0

Prepare packages

Computing target dependency graph and provisioning inputs

Create build description
Build description signature: 8695f5e850d13ca5c39d16b68f1a41c8
Build description path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData/Build/Intermediates.noindex/XCBuildData/8695f5e850d13ca5c39d16b68f1a41c8.xcbuilddata

note: Building targets in dependency order
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'AtlasConnectivity' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'TestsCommon' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftSyncTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwift' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'BSONTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftSync' from project 'mongo-swift-driver')
Resolve Package Graph"
Retrying in 0.0 seconds ...
Building ... (attempt 2)
2023-08-31 18:28:06.502 xcodebuild[8825:1252942] DVTCoreDeviceEnabledState: DVTCoreDeviceEnabledState_Disabled set via user default (DVTEnableCoreDevice=disabled)
Command line invocation:
/Applications/Xcode-14.3.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme mongo-swift-driver-Package -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph


Resolved source packages:
  swift-atomics: https://github.com/apple/swift-atomics @ 1.1.0
  Nimble: https://github.com/Quick/Nimble @ 8.1.2
  swift-extras-base64: https://github.com/swift-extras/swift-extras-base64 @ 0.5.0
  swift-extras-json: https://github.com/swift-extras/swift-extras-json @ 0.6.0
  mongo-swift-driver: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace
  swift-collections: https://github.com/apple/swift-collections.git @ 1.0.4
  swift-bson: https://github.com/mongodb/swift-bson @ 3.1.0
  swift-nio: https://github.com/apple/swift-nio @ 2.58.0

Prepare packages

2023-08-31 18:28:07.194 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600002068600: name:Atomics.docc path:group:Atomics.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-atomics/Sources/Atomics/Atomics.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.214 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021a1500: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIO/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.230 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021a1a00: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIOCore/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.260 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021bfa00: name:OrderedCollections.docc path:group:OrderedCollections.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/OrderedCollections/OrderedCollections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.262 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021b8e00: name:DequeModule.docc path:group:DequeModule.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/DequeModule/DequeModule.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.264 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021afd00: name:Collections.docc path:group:Collections.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/Collections/Collections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
Computing target dependency graph and provisioning inputs

Create build description
Build description signature: 8695f5e850d13ca5c39d16b68f1a41c8
Build description path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData/Build/Intermediates.noindex/XCBuildData/8695f5e850d13ca5c39d16b68f1a41c8.xcbuilddata

note: Building targets in dependency order
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'AtlasConnectivity' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwift' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftSync' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftSyncTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'BSONTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'TestsCommon' from project 'mongo-swift-driver')
** BUILD FAILED **
ShellOut encountered an error
Status code: 65
Message: "2023-08-31 18:28:06.502 xcodebuild[8825:1252942] DVTCoreDeviceEnabledState: DVTCoreDeviceEnabledState_Disabled set via user default (DVTEnableCoreDevice=disabled)
2023-08-31 18:28:07.194 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600002068600: name:Atomics.docc path:group:Atomics.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-atomics/Sources/Atomics/Atomics.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.214 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021a1500: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIO/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.230 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021a1a00: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIOCore/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.260 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021bfa00: name:OrderedCollections.docc path:group:OrderedCollections.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/OrderedCollections/OrderedCollections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.262 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021b8e00: name:DequeModule.docc path:group:DequeModule.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/DequeModule/DequeModule.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-08-31 18:28:07.264 xcodebuild[8825:1252942] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000021afd00: name:Collections.docc path:group:Collections.docc> Failed to load container at path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/Collections/Collections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
** BUILD FAILED **
"
Output: "Command line invocation:
    /Applications/Xcode-14.3.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme mongo-swift-driver-Package -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES

Resolve Package Graph


Resolved source packages:
  swift-atomics: https://github.com/apple/swift-atomics @ 1.1.0
  Nimble: https://github.com/Quick/Nimble @ 8.1.2
  swift-extras-base64: https://github.com/swift-extras/swift-extras-base64 @ 0.5.0
  swift-extras-json: https://github.com/swift-extras/swift-extras-json @ 0.6.0
  mongo-swift-driver: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace
  swift-collections: https://github.com/apple/swift-collections.git @ 1.0.4
  swift-bson: https://github.com/mongodb/swift-bson @ 3.1.0
  swift-nio: https://github.com/apple/swift-nio @ 2.58.0

Prepare packages

Computing target dependency graph and provisioning inputs

Create build description
Build description signature: 8695f5e850d13ca5c39d16b68f1a41c8
Build description path: /Users/builder/builds/o86TiJKT/3/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData/Build/Intermediates.noindex/XCBuildData/8695f5e850d13ca5c39d16b68f1a41c8.xcbuilddata

note: Building targets in dependency order
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'AtlasConnectivity' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwift' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftSync' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'MongoSwiftSyncTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'BSONTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 11.0 (in target 'TestsCommon' from project 'mongo-swift-driver')"
BUILD FAILURE 5.8 iOS

Build Machine: Mac 5